org.apache.sling.validation.impl.model

## Class ValidatorInvocationImpl

- java.lang.Object
- - org.apache.sling.validation.impl.model.ValidatorInvocationImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.ValidatorInvocation

    public class ValidatorInvocationImpl
    extends Object
    implements org.apache.sling.validation.model.ValidatorInvocation

### Constructor Summary

Constructors
Constructor and Description
`ValidatorInvocationImpl(String id, Map<String,Object> parameters, Integer severity)` Only the map has proper support for equals (see https://issues.apache.org/jira/browse/SLING-4784)

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`org.apache.sling.api.resource.ValueMap` `getParameters()`
`Integer` `getSeverity()`
`String` `getValidatorId()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidatorInvocationImpl

    public ValidatorInvocationImpl(@Nonnull
                                   String id,
                                   @Nonnull
                                   Map<String,Object> parameters,
                                   Integer severity)

Only the map has proper support for equals (see https://issues.apache.org/jira/browse/SLING-4784)

Parameters:
  `id` -
  `parameters` -
  `severity` -

### Method Detail

#### getValidatorId

    public String getValidatorId()

Specified by:
  `getValidatorId` in interface `org.apache.sling.validation.model.ValidatorInvocation`

#### getParameters

    @Nonnull
    public org.apache.sling.api.resource.ValueMap getParameters()

Specified by:
  `getParameters` in interface `org.apache.sling.validation.model.ValidatorInvocation`

#### getSeverity

    @CheckForNull
    public Integer getSeverity()

Specified by:
  `getSeverity` in interface `org.apache.sling.validation.model.ValidatorInvocation`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`